# Update the subscription Updates an existing subscription to change the associated product and plan. Updating the subscription may modify the price of the subscription, and if so the balance will be billed immediately at a pro-rated amount. Parameters specific to the vendor may be specified to change the payment method for the subscription. Changing to a plan with a different billing frequency from the existing subscription is not supported for some payment providers (Braintree). Endpoint: PATCH /zephr/subscriptions/:subscriptionId Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Header parameters: - `cookie` (string) The session cookie. Example: "`blaize_session=...` (string)" ## Request fields (application/json): - `product_id` (string, required) Product Id/slug Example: "premium-access-monthly-recurring" - `plan_id` (string, required) Plan Id/slug Example: "plan-5" - `vendor_fields` (object, required) Parameters specific to the payment provider in-use. Example: {"payment_nonce":"eyJ2ZXmsaW5nQWdyZWmVubW8iOiJvZmYifQ=="} - `vendor_fields.payment_nonce` (string) (Braintree) Payment method nonce from Braintree drop-in UI. If not specified, the existing payment method on the subscription will be retained. Example: "eyJ2ZXmsaW5nQWdyZWmVubW8iOiJvZmYifQ==" - `navigated_from` (string) Specify where the request was made from. Used as data to pass to change subscription webhooks. Example: "/some/path" ## Response 200 fields (application/json): - `grant_id` (string) New grant of product bundle to user. Example: "33d576c7-d036-40e7-8141-8a91998a5c79" ## Response 400 fields ## Response 401 fields ## Response 404 fields